/// <reference types="react" />
import { marked } from 'marked';
import { ReactRendererOptions } from './ReactRenderer';
interface LexerOptions {
    breaks?: marked.MarkedOptions['breaks'];
    gfm?: marked.MarkedOptions['gfm'];
}
export interface MarkdownProps extends ReactRendererOptions, LexerOptions {
    value?: string;
    children?: string;
    isInline?: boolean;
}
declare const Markdown: {
    (props: MarkdownProps): import("react").FunctionComponentElement<{
        children?: import("react").ReactNode;
    }>;
    defaultProps: {
        isInline: boolean;
        breaks: boolean;
        gfm: boolean;
        baseURL: undefined;
        openLinksInNewTab: boolean;
        langPrefix: string;
        renderer: undefined;
    };
};
export default Markdown;
